Bug 1001277 - crrcsim : duplicate documentation files / potentially conflicting
crrcsim : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crrcsim (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Damian Wrobel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 16:05 EDT by Michael Schwendt
Modified: 2014-05-08 06:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-28 15:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed spec changes/fixes (2.73 KB, patch)
2013-12-14 16:44 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2013-08-26 16:05:05 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> crrcsim-0.9.12-7.fc20.src.rpm
=> crrcsim-doc-0.9.12-7.fc20.noarch in fedora-development-i386
  File conflict with: crrcsim-0.9.12-7.fc20.i686
     /usr/share/doc/crrcsim/AUTHORS
     /usr/share/doc/crrcsim/COPYING
     /usr/share/doc/crrcsim/HISTORY
     /usr/share/doc/crrcsim/Install_Linux.txt
     /usr/share/doc/crrcsim/Install_Win32.txt
     /usr/share/doc/crrcsim/README
     /usr/share/doc/crrcsim/compile.txt
     /usr/share/doc/crrcsim/control.txt
     /usr/share/doc/crrcsim/coordinate.txt
     /usr/share/doc/crrcsim/davis.jpg
     /usr/share/doc/crrcsim/dlportio.txt
     /usr/share/doc/crrcsim/dynamic_soaring.txt
     /usr/share/doc/crrcsim/file_format/heli01.html
     /usr/share/doc/crrcsim/file_format/index.html
     /usr/share/doc/crrcsim/file_format/scenery03.html
     /usr/share/doc/crrcsim/howto_create_models/heli01.html
     /usr/share/doc/crrcsim/howto_create_models/interface_settings.html
     /usr/share/doc/crrcsim/howto_create_models/qc01.tex
     /usr/share/doc/crrcsim/index.html
     /usr/share/doc/crrcsim/input_method/CT6A/README
     /usr/share/doc/crrcsim/input_method/MNAV/Autopilot-CRRCSim.png
     /usr/share/doc/crrcsim/input_method/MNAV/autopilot.txt
     /usr/share/doc/crrcsim/input_method/MNAV/mnav.txt
     /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/circuit.jpg
     /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/crrcsim_at90s1200.asm
     /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/crrcsim_at90s1200.hex
     /usr/share/doc/crrcsim/input_method/RCTRAN/README_old
     /usr/share/doc/crrcsim/input_method/SERIAL2/README
     /usr/share/doc/crrcsim/loading_files.txt
     /usr/share/doc/crrcsim/models/Readmefirst_Crossfire.txt
     /usr/share/doc/crrcsim/models/Readmefirst_Erwin.txt
     /usr/share/doc/crrcsim/non_SI_units.txt
     /usr/share/doc/crrcsim/options.txt
     /usr/share/doc/crrcsim/power_propulsion/inline_dotgraph_1.dot.png
     /usr/share/doc/crrcsim/power_propulsion/power_propulsion.html
     /usr/share/doc/crrcsim/thermals/comp.gnuplot
     /usr/share/doc/crrcsim/thermals/comparison.png
     /usr/share/doc/crrcsim/thermals/table.cpp
     /usr/share/doc/crrcsim/thermals/table_ug.cpp
     /usr/share/doc/crrcsim/thermals/thermals.txt
     /usr/share/doc/crrcsim/thermals/thermals_new.png
     /usr/share/doc/crrcsim/thermals/thermals_old.png
     /usr/share/doc/crrcsim/thermals/thermalsim.html
     /usr/share/doc/crrcsim/thermals/thermalv3_schalen1.png
     /usr/share/doc/crrcsim/thermals/thermalv3_schema.png
     /usr/share/doc/crrcsim/thermals/thermprof0.dat
     /usr/share/doc/crrcsim/thermals/thermprof0.png
     /usr/share/doc/crrcsim/thermals/thermprof1.dat
     /usr/share/doc/crrcsim/thermals/thermprof2.dat
     /usr/share/doc/crrcsim/thermals/thermprof2.png
     /usr/share/doc/crrcsim/thermals/thermprof3.dat
     /usr/share/doc/crrcsim/thermals/thermprof3.png
     /usr/share/doc/crrcsim/thermals/thermprof_old.dat
     /usr/share/doc/crrcsim/windfield.txt

=> crrcsim-0.9.12-7.fc20.src.rpm
=> crrcsim-0.9.12-7.fc20.i686 in fedora-development-i386
  File conflict with: crrcsim-doc-0.9.12-7.fc20.noarch
     /usr/share/doc/crrcsim/AUTHORS
     /usr/share/doc/crrcsim/COPYING
     /usr/share/doc/crrcsim/HISTORY
     /usr/share/doc/crrcsim/Install_Linux.txt
     /usr/share/doc/crrcsim/Install_Win32.txt
     /usr/share/doc/crrcsim/README
     /usr/share/doc/crrcsim/compile.txt
     /usr/share/doc/crrcsim/control.txt
     /usr/share/doc/crrcsim/coordinate.txt
     /usr/share/doc/crrcsim/davis.jpg
     /usr/share/doc/crrcsim/dlportio.txt
     /usr/share/doc/crrcsim/dynamic_soaring.txt
     /usr/share/doc/crrcsim/file_format/heli01.html
     /usr/share/doc/crrcsim/file_format/index.html
     /usr/share/doc/crrcsim/file_format/scenery03.html
     /usr/share/doc/crrcsim/howto_create_models/heli01.html
     /usr/share/doc/crrcsim/howto_create_models/interface_settings.html
     /usr/share/doc/crrcsim/howto_create_models/qc01.tex
     /usr/share/doc/crrcsim/index.html
     /usr/share/doc/crrcsim/input_method/CT6A/README
     /usr/share/doc/crrcsim/input_method/MNAV/Autopilot-CRRCSim.png
     /usr/share/doc/crrcsim/input_method/MNAV/autopilot.txt
     /usr/share/doc/crrcsim/input_method/MNAV/mnav.txt
     /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/circuit.jpg
     /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/crrcsim_at90s1200.asm
     /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/crrcsim_at90s1200.hex
     /usr/share/doc/crrcsim/input_method/RCTRAN/README_old
     /usr/share/doc/crrcsim/input_method/SERIAL2/README
     /usr/share/doc/crrcsim/loading_files.txt
     /usr/share/doc/crrcsim/models/Readmefirst_Crossfire.txt
     /usr/share/doc/crrcsim/models/Readmefirst_Erwin.txt
     /usr/share/doc/crrcsim/non_SI_units.txt
     /usr/share/doc/crrcsim/options.txt
     /usr/share/doc/crrcsim/power_propulsion/inline_dotgraph_1.dot.png
     /usr/share/doc/crrcsim/power_propulsion/power_propulsion.html
     /usr/share/doc/crrcsim/thermals/comp.gnuplot
     /usr/share/doc/crrcsim/thermals/comparison.png
     /usr/share/doc/crrcsim/thermals/table.cpp
     /usr/share/doc/crrcsim/thermals/table_ug.cpp
     /usr/share/doc/crrcsim/thermals/thermals.txt
     /usr/share/doc/crrcsim/thermals/thermals_new.png
     /usr/share/doc/crrcsim/thermals/thermals_old.png
     /usr/share/doc/crrcsim/thermals/thermalsim.html
     /usr/share/doc/crrcsim/thermals/thermalv3_schalen1.png
     /usr/share/doc/crrcsim/thermals/thermalv3_schema.png
     /usr/share/doc/crrcsim/thermals/thermprof0.dat
     /usr/share/doc/crrcsim/thermals/thermprof0.png
     /usr/share/doc/crrcsim/thermals/thermprof1.dat
     /usr/share/doc/crrcsim/thermals/thermprof2.dat
     /usr/share/doc/crrcsim/thermals/thermprof2.png
     /usr/share/doc/crrcsim/thermals/thermprof3.dat
     /usr/share/doc/crrcsim/thermals/thermprof3.png
     /usr/share/doc/crrcsim/thermals/thermprof_old.dat
     /usr/share/doc/crrcsim/windfield.txt
Comment 1 Michael Schwendt 2013-12-14 16:44:54 EST
Created attachment 836848 [details]
proposed spec changes/fixes

Btw, the base package rpm is 8.4 times larger than the 650KB -doc noarch subpackage, so the docs could have been included in the base package (but obsoleting that one is not worth the hassle now anymore).
Comment 2 Damian Wrobel 2014-04-28 15:25:06 EDT
(In reply to Michael Schwendt from comment #1)
Thank you for provided patch.

Fix in git (f20, rawhide).
Comment 3 Fedora Update System 2014-04-28 15:29:21 EDT
crrcsim-0.9.12-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/crrcsim-0.9.12-8.fc20
Comment 4 Fedora Update System 2014-05-08 06:08:32 EDT
crrcsim-0.9.12-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.